## org.apache.poi.hssf.record.chart
Class ChartRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.ChartRecord

    public final class ChartRecord

extends StandardRecord

CHART (0x1002)

The chart record is used to define the location and size of a chart.

Chart related records don't seem to be covered in either the OOO or the MS documentation. The book "Microsoft Excel 97 Developer's Kit" ISBN: (1-57231-498-2) seems to have an entire chapter (10) devoted to Chart records. One blog suggests that some documentation for these records is available in "MSDN Library, Feb 1998", but no later.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`ChartRecord()`
`ChartRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`protected int` `getDataSize()`
`int` `getHeight()` Get the height field for the Chart record.
`short` `getSid()` return the non static version of the id for this record.
`int` `getWidth()` Get the width field for the Chart record.
`int` `getX()` Get the x field for the Chart record.
`int` `getY()` Get the y field for the Chart record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setHeight(int height)` Set the height field for the Chart record.
`void` `setWidth(int width)` Set the width field for the Chart record.
`void` `setX(int x)` Set the x field for the Chart record.
`void` `setY(int y)` Set the y field for the Chart record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### ChartRecord

    public ChartRecord()

### ChartRecord

    public ChartRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getX

    public int getX()

  Get the x field for the Chart record.

### setX

    public void setX(int x)

  Set the x field for the Chart record.

### getY

    public int getY()

  Get the y field for the Chart record.

### setY

    public void setY(int y)

  Set the y field for the Chart record.

### getWidth

    public int getWidth()

  Get the width field for the Chart record.

### setWidth

    public void setWidth(int width)

  Set the width field for the Chart record.

### getHeight

    public int getHeight()

  Get the height field for the Chart record.

### setHeight

    public void setHeight(int height)

  Set the height field for the Chart record.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.